%% Copyright (C) 2023 Hongsheng Qi
%%
%% This program is free software: you can redistribute it and/or modify
%% it under the terms of the GNU General Public License as published by
%% the Free Software Foundation, either version 3 of the License, or
%% (at your option) any later version.
%%
%% This program is distributed in the hope that it will be useful,
%% but WITHOUT ANY WARRANTY; without even the implied warranty of
%% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%% GNU General Public License for more details.
%%
%% You should have received a copy of the GNU General Public License
%% along with this program.  If not, see <https://www.gnu.org/licenses/>.

%% -*- texinfo -*-
%% @deftypefn {} {@var{retval} =} dkbm (@var{m}, @var{n})
%%
%% @seealso{}
%% @end deftypefn

%% $Id: dkbm.m 37 2023-06-12 09:55:12Z qihs $

function retval = dkbm (m, n)

% DKBM    Bridge Matrix for Dimension-Keeping Semi-Tensor Product (DKSTP)

if m == n
	retval = eye(m);
else
	t = lcm(m, n);
	retval = kron(eye(m), ones(1,t/m)) * kron(eye(n), ones(t/n,1));
end;