function A = invvc(x,m)
% INVVC    Inverse of VC
%
%   A = INVVC(X,M) creates an M-row matrix from the vector X.
%
%   Example: a = invvc(1:12)
%            a = invvc(1:12,3)

% $Id: invvc.m 27 2016-04-13 14:42:58Z qihs $

x = x(:);
l = length(x);
if nargin == 1
    m = ceil(sqrt(l));
    if m^2-1 ~= 1
        l = m^2;
        x(l) = 0;
    end
else
    r = mod(l,m);
    if r ~= 0
        l = l+m-r;
        x(l) = 0;
    end
end
A = reshape(x, m, l/m);
