function r = str_split(s, sep)

% STR_SPLIT    Split a string by string
%
%    Usage: r = str_split(s, sep) will split "s" by "sep", and it return a cell array "r". 
%           The second argument "sep" is optional, default is a blank.
%
%    Example: r = str_split('Hello World! This is an example.')

% $Id: str_split.m 33 2016-08-26 05:18:15Z qihs $

if nargin==1, sep = ' '; end;
r = {};
s = deblank(s);
i = 1;
while any(s)
	[chopped,s] = strtok(s, sep);
	if length(chopped)>0 
		r{i} = chopped;
		i = i + 1;
	end
end
